Custom Domain
API referenceApplications

Issue an API key for an application (key returned once)

POST
/applications/{id}/keys
AuthorizationBearer <token>

Long-lived tenant API key (sk_live_… / sk_test_…), stored hashed. Scoped to the owning application's tenant.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/applications/string/keys" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "last4": "string",  "environment": "production",  "created_at": "2019-08-24T14:15:22Z",  "revoked_at": "2019-08-24T14:15:22Z",  "key": "string"}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}